Aller au contenu
Livstick Développeurs

Get recording and preview links

Méthode GET https://client-api.v5.livstick.com/api/v3/containers/{crid}/url

Return canonical links for a known container.

Autorisation

Scope requis containers:read

Use Authorization: Bearer liv_<prefix>_<secret>.

Paramètres

Nom Emplacement Type Requis Contraintes Description
crid Chemin string Requis Business reference of the container.

Réponses

200 application/json Schéma ContainerLinks

Links resolved.

401 application/json Schéma ApiErrorEnvelope

Authentication failed or missing bearer token.

json 401
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Missing API key"
  }
}

403 application/json Schéma ApiErrorEnvelope

Authenticated but not allowed by scope or key constraints.

json 403
{
  "error": {
    "code": "FORBIDDEN",
    "message": "Insufficient permissions"
  }
}

404 application/json Schéma ApiErrorEnvelope

Target container could not be found.

json 404
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Container not found for this CRID"
  }
}